.one-minute {
    max-height: var(--one-minute-popup-height);
    max-width: var(--one-minute-popup-width);
    border-radius: 6px;
    background-color: #fff;
    padding: 34px;
}
.one-minute .one-minute-close {
    position: absolute;
    top: 24px;
    right: 24px;
    height: 32px;
    width: 32px;
    padding: 4px;
    background-color: var(--color-3);
    border-radius: 100%;
    cursor: pointer;
    z-index: 1;
}
.one-minute .one-minute-picture {
    object-fit: cover;
    border-radius: 6px;
    overflow: hidden;
}
.one-minute .one-minute-icon{
    width: 112px;
    height: 120px;
    margin-bottom: 16px;
}

.one-minute .one-minute-icon img{
    width: 100%;
    height: 100%;
}

.one-minute .one-minute-title {
    font-size: var(--one-minute-title-font-size);
    line-height: var(--one-minute-title-line-height);
    font-weight: var(--font-weight-bold);
    margin-bottom: 8px;
}
.one-minute .one-minute-subtitle {
    font-size: var(--one-minute-subtitle-font-size);
    line-height: var(--one-minute-subtitle-line-height);
    margin-bottom: 24px;
}
.one-minute .one-minute-title,
.one-minute .one-minute-subtitle {
    color: var(--brand-black-color);
}

.one-minute .one-minute-footer-text {
    color: white;
}

.one-minute .one-minute-close-btn {
    height: 44px;
    width: 185px;
    padding: 9px;
    color: var(--brand-black-color);
    font-size: 16px;
    font-weight: var(--font-weight-bold);
    line-height: 26px;
    background-color: #fff;
    cursor: pointer;
}

.one-minute .one-minute-close-btn:hover{
    background-color: var(--brand-hover-black-color);
    color: #fff;
}

@media (max-width: 767px) {
    :root {
        --one-minute-popup-height: 384px;
        --one-minute-popup-width: none;
        --one-minute-title-font-size: 20px;
        --one-minute-title-line-height: 30px;
        --one-minute-subtitle-font-size: 14px;
        --one-minute-subtitle-line-height: 24px;
        --one-minute-footer-text-font-size: 14px;
        --one-minute-footer-text-line-height: 24px;
        --one-minute-footer-bottom: 32px;
    }

    .popup.one-minute {
        top: auto;
        bottom: 0;
        padding: 52px 15px 20px;
        border-radius: 6px 6px 0px 0px;
    }

    .one-minute .one-minute-icon{
        margin-bottom: 8px;
    }
    .one-minute .one-minute-title {
        margin-bottom: 8px;
    }
    .one-minute .one-minute-subtitle {
        margin-bottom: 24px;
    }

    .one-minute .one-minute-footer {
        left: 20px;
        right: 20px;
    }
    .one-minute .one-minute-countdown {
        width: 100%;
    }
    .one-minute .one-minute-countdown .digit {
        width: 100%;
        min-width: auto;
        padding: 14px 5px;
    }
}
@media (max-width: 1439px) and (min-width: 768px) {
    :root {
        --one-minute-popup-height: 334px;
        --one-minute-popup-width: 711px;
        --one-minute-title-font-size: 20px;
        --one-minute-title-line-height: 30px;
        --one-minute-subtitle-font-size: 14px;
        --one-minute-subtitle-line-height: 24px;
        --one-minute-footer-text-font-size: 14px;
        --one-minute-footer-text-line-height: 24px;
        --one-minute-footer-bottom: 32px;
    }
}
@media (min-width: 1440px) {
    :root {
        --one-minute-popup-height: 334px;
        --one-minute-popup-width: 711px;
        --one-minute-title-font-size: 20px;
        --one-minute-title-line-height: 30px;
        --one-minute-subtitle-font-size: 14px;
        --one-minute-subtitle-line-height: 24px;
        --one-minute-footer-text-font-size: 18px;
        --one-minute-footer-text-line-height: 28px;
        --one-minute-footer-bottom: 60px;
    }
}
